Subject: Re: bug#66128: 28.2; visible-bell breaks setterm --inversescreen on

From: Tomas Hlavaty <[email-masked]>
Date: Fri, 22 Sep 2023 22:18:14 +0200

Hi Eli,

thanks for the quick reply.

On Thu 21 Sep 2023 at 08:00, Eli Zaretskii <[email-masked]> wrote:
> Emacs just sends to the terminal the sequence defined by the "vb"
> termcap capability.  Is that not correct when the screen colors are
> inverted?

I do not know.

> Is this perhaps the problem of the terminal?

No, I get the same behaviour in xfce4-terminal and kitty, so this does
not seem to be specific problem with the linux console.

I think I wrote it in the bug report too, under an X based terminal:

   $ emacs -nw -Q --eval '(setq visible-bell t)'

then press PgUp.

> Btw, we always use the termcap's "vb", even when terminfo is
> available; should we use the terminfo's "flash" instead?

I do not know.

Regards,

Tomas